import Vue from 'vue'
import Merchant from './Merchant.vue'
import {upperFirst, camelCase} from 'lodash'

import Vant from 'vant';
import 'vant/lib/index.css';
Vue.use(Vant);

const requireComponent = require.context('./components/vant', true, /.vue$/)
requireComponent.keys().forEach(fileName => {
  const componentConfig = requireComponent(fileName)
  // 获取组件的 PascalCase 名
  const componentName = upperFirst(
    camelCase(
      // 获取目录深度无关的文件名
      fileName
        .split('/')
        .pop()
        .replace(/\.\w+$/, '')
    )
  )

  Vue.component(
    componentName,
    // 在 `.default` 上查找组件选项。
    // 如果组件导出了 `export default` 的话，该选项会存在。
    // 否则回退到模块的根。
    componentConfig.default || componentConfig
  )
})

new Vue({
  el: '#app',
  render: h => h(Merchant)
})
